Subject: bug#6457: 24.0.50; Inappropriate error msg for set-variable

From: Eli Zaretskii <[email-masked]>
Date: Thu, 06 Feb 2014 08:10:45 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Date: Wed, 05 Feb 2014 16:28:23 -0800
> Cc: [email-masked]
> 
> "Drew Adams" <[email-masked]> writes:
> 
> >> > The error message is this:
> >> >
> >> > Value `999999999.0' does not match type integer of
> >> > scroll-conservatively.
> >
> > That is still the (inappropriate) error message.
> >
> >> I can't reproduce this bug when I set to 999999999.
> >
> > Perhaps it is platform-specific.
> >
> >> When I tried a larger value "9999999999999999999",
> >> I get the following error:
> >> 
> >>   Arithmetic overflow error: "9999999999999999999"
> >
> > Perhaps the inappropriate error message is platform-specific.
> >
> > I definitely see that message with emacs -Q.
> 
> I get:
> 
> set-variable: Value `1e+19' does not match type integer of scroll-conservatively
> 
> So I can reproduce this bug.

Yes, you can, just in a slightly different way: the user didn't enter
1e+19, either.